﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pz.API.QH360.SDK.Common
{
  internal  class CustomDateFormatter : IFormatProvider, ICustomFormatter 
    {
        public object GetFormat(Type formatType)
        {
            if (formatType == typeof(ICustomFormatter))
                return this;
            else
                return null; 
        }
        public string Format(string format, object arg, IFormatProvider formatProvider)
        {
            string result = arg.ToString();
            DateTime dt;
            bool bo = DateTime.TryParse(result, out dt);
            if (bo)
            {
                if (!string.IsNullOrEmpty(format))
                {
                    format = format.ToUpper();
                    switch (format)
                    {
                        case "L":
                            result = dt.ToString("yyyy-MM-dd HH:mm:ss");
                            break;
                        case "S":
                            result = dt.ToString("yyyy-MM-dd");
                            break;
                    }
                }
            }
            return result;
        }
    }
}
