﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;
using System.IO;
using Pz.API.QH360.SDK.Model;
using System.Web;
namespace Pz.API.QH360.SDK.Common
{
    /// <summary>
    /// 实用方法
    /// </summary>
    public class Utility
    {

        /// <summary>   
        /// unicode编码转换gb2312编码   
        /// </summary>   
        /// <param name=”text”>unicode编码串</param>   
        /// <returns>gb2312编码串</returns>   
        private static Regex toGbRegex = new Regex("\\\\u([0123456789abcdef]{4})", RegexOptions.IgnoreCase);
        public static string UnicodeToGB(string text)//   
        {
            string outStr = text;
            foreach (Match _m in toGbRegex.Matches(text))
            {
                string _t = string.Empty;
                _t += (char)int.Parse(_m.ToString().Remove(0, 2), System.Globalization.NumberStyles.HexNumber);
                outStr = outStr.Replace(_m.ToString(), _t);
            }
            return outStr;
        }
    }
}
