﻿// ***********************************************************************
// Author           : 刘柏红
// Created          : 2013-04-07 06:22
//
// Last Modified By : 刘柏红
// Last Modified On : 04-08-2013 04:07
// ***********************************************************************


using System;
namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 创意实体
    /// </summary>
    [Serializable]
    public class QH360MCreative : ApiResult
    {
        /// <summary>
        /// 创意id
        /// </summary>
        public long id;


        /// <summary>
        /// 计划id
        /// </summary>
        public long campaignId;


        /// <summary>
        /// 组id
        /// </summary>
        public long groupId;


        /// <summary>
        /// 创意标题
        /// </summary>
        public string title;


        /// <summary>
        /// 创意描述1
        /// </summary>
        public string description1;


        /// <summary>
        ///创意描述2
        /// </summary>
        public string description2;


        /// <summary>
        /// 创意描述地址
        /// </summary>
        public string destinationUrl;


        /// <summary>
        /// 显示网址，如果不填，默认为链接网址的域名
        /// </summary>
        public string displayUrl;

        /// <summary>
        /// 创意状态
        /// </summary>
        public string status { get; set; }

        /// <summary>
        /// 推广创意创建时间
        /// </summary>
        public string addTime { get; set; }

        /// <summary>
        /// 创意最后更新时间 
        /// </summary>
        public string updateTime;

    }
}
