﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 创意报表实体
    /// </summary>
    [Serializable]
    public class MReportCreative
    {
        /// <summary>
        /// 日期
        /// </summary>
        public DateTime date { get; set; }

        /// <summary>
        ///创意id
        /// </summary>
        public long creativeId { get; set; }

        /// <summary>
        /// 访问量
        /// </summary>
        public int views { get; set; }

        /// <summary>
        /// 点击量
        /// </summary>
        public int clicks { get; set; }

        /// <summary>
        /// 花费
        /// </summary>
        public double totalCost { get; set; }
    }
}
