﻿using Pz.API.QH360.SDK.API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Pz.API.QH360.SDK.Model;
using System.Collections.Generic;
using Test.Pz.API.QH360.SDK.API;

namespace Test.Qihu360.API
{
    
    
    /// <summary>
    ///这是 APIReportTest 的测试类，旨在
    ///包含所有 APIReportTest 单元测试
    ///</summary>
    [TestClass()]
    public class APIReportTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///keywordCount 的测试
        ///</summary>
        [TestMethod()]
        public void keywordCountTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            int totalNumber = 0; // TODO: 初始化为适当的值
            int totalNumberExpected = 0; // TODO: 初始化为适当的值
            int totalPage = 0; // TODO: 初始化为适当的值
            int totalPageExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.keywordCount(startDate, level, idList, ref totalNumber, ref totalPage);
            Assert.AreEqual(totalNumberExpected, totalNumber);
            Assert.AreEqual(totalPageExpected, totalPage);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///creative 的测试
        ///</summary>
        [TestMethod()]
        public void creativeTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            int page = 0; // TODO: 初始化为适当的值
            List<MReportCreative> reportList = null; // TODO: 初始化为适当的值
            List<MReportCreative> reportListExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.creative(startDate, level, idList, page, ref reportList);
            Assert.AreEqual(reportListExpected, reportList);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///creativeCount 的测试
        ///</summary>
        [TestMethod()]
        public void creativeCountTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            int totalNumber = 0; // TODO: 初始化为适当的值
            int totalNumberExpected = 0; // TODO: 初始化为适当的值
            int totalPage = 0; // TODO: 初始化为适当的值
            int totalPageExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.creativeCount(startDate, level, idList, ref totalNumber, ref totalPage);
            Assert.AreEqual(totalNumberExpected, totalNumber);
            Assert.AreEqual(totalPageExpected, totalPage);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///keyword 的测试
        ///</summary>
        [TestMethod()]
        public void keywordTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            int page = 0; // TODO: 初始化为适当的值
            List<MReportKeyword> reportList = null; // TODO: 初始化为适当的值
            List<MReportKeyword> reportListExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.keyword(startDate, level, idList, page, ref reportList);
            Assert.AreEqual(reportListExpected, reportList);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///region 的测试
        ///</summary>
        [TestMethod()]
        public void regionTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            long[] region = null; // TODO: 初始化为适当的值
            int page = 0; // TODO: 初始化为适当的值
            List<MReportRegion> reportList = null; // TODO: 初始化为适当的值
            List<MReportRegion> reportListExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.region(startDate, level, idList, region, page, ref reportList);
            Assert.AreEqual(reportListExpected, reportList);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }

        /// <summary>
        ///regionCount 的测试
        ///</summary>
        [TestMethod()]
        public void regionCountTest()
        {
            APIReport target = new APIReport(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            DateTime startDate = new DateTime(); // TODO: 初始化为适当的值
            string level = string.Empty; // TODO: 初始化为适当的值
            long[] idList = null; // TODO: 初始化为适当的值
            long[] region = null; // TODO: 初始化为适当的值
            int totalNumber = 0; // TODO: 初始化为适当的值
            int totalNumberExpected = 0; // TODO: 初始化为适当的值
            int totalPage = 0; // TODO: 初始化为适当的值
            int totalPageExpected = 0; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.regionCount(startDate, level, idList, region, ref totalNumber, ref totalPage);
            Assert.AreEqual(totalNumberExpected, totalNumber);
            Assert.AreEqual(totalPageExpected, totalPage);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
