﻿using Pz.API.QH360.SDK.API;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Pz.API.QH360.SDK.Model;
using Test.Pz.API.QH360.SDK.API;

namespace Test.Qihu360.API
{
    
    
    /// <summary>
    ///这是 APIToolTest 的测试类，旨在
    ///包含所有 APIToolTest 单元测试
    ///</summary>
    [TestClass()]
    public class APIToolTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///获取或设置测试上下文，上下文提供
        ///有关当前测试运行及其功能的信息。
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region 附加测试特性
        // 
        //编写测试时，还可使用以下特性:
        //
        //使用 ClassInitialize 在运行类中的第一个测试前先运行代码
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //使用 ClassCleanup 在运行完类中的所有测试后再运行代码
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //使用 TestInitialize 在运行每个测试前先运行代码
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //使用 TestCleanup 在运行完每个测试后运行代码
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///checkUpdate 的测试
        ///</summary>
        [TestMethod()]
        public void checkUpdateTest()
        {
            APITool target = new APITool(); // TODO: 初始化为适当的值
            target.AuthHeader = Config.GetHeaders();
            APITool.ToolCheckUpdate checkUpdate = new APITool.ToolCheckUpdate();
            APITool.ToolCheckUpdate checkUpdateExpected = null; // TODO: 初始化为适当的值
            Result expected = null; // TODO: 初始化为适当的值
            Result actual;
            actual = target.checkUpdate(ref checkUpdate);
            Assert.AreEqual(checkUpdateExpected, checkUpdate);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("验证此测试方法的正确性。");
        }
    }
}
