﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pz.API.QH360.SDK.Enum
{
    /// <summary>
    /// 文件任务状态检查    
    /// 1：等待中
    /// 2：处理中 
    /// 3：处理成功
    /// </summary>
    [Serializable]
    public enum Generated
    {
        /// <summary>
        /// 等待中
        /// </summary>
        pending = 1,
        /// <summary>
        /// 处理中
        /// </summary>
        process = 2,
        /// <summary>
        /// 处理成功
        /// </summary>
        success = 3,
        /// <summary>
        /// 处理失败
        /// </summary>
        fail,
        /// <summary>
        /// 无状态
        /// </summary>
        none,
    }
}
