﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pz.API.QH360.SDK.Enum
{
    /// <summary>
    /// 服务类型
    /// </summary>
    [Serializable]
    public enum ServiceType
    {
        /// <summary>
        /// 账户服务
        /// </summary>
        account,
        /// <summary>
        /// 推广计划服务
        /// </summary>
        campaign,
        /// <summary>
        /// 推广组服务
        /// </summary>
        group,
        /// <summary>
        /// 推广创意服务
        /// </summary>
        creative,
        /// <summary>
        /// 关键词创意
        /// </summary>
        keyword,

        /// <summary>
        /// 工具
        /// </summary>
        tool,
        /// <summary>
        /// 报表服务
        /// </summary>
        report,
    }
}
