﻿// ***********************************************************************
// Author           : 刘柏红
// Created          : 2013-04-07 06:22
//
// Last Modified By : 刘柏红
// Last Modified On : 04-07-2013 06:22
// ***********************************************************************

using System;

namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 360服务端返回的一条错误消息
    /// </summary>
    [Serializable]
    public class Failure
    {
        /// <summary>
        /// 错误代码
        /// </summary>
        public int code { get; set; }
        /// <summary>
        /// 错误消息
        /// </summary>
        public string message { get; set; }
        /// <summary>
        /// 错误描述
        /// </summary>
        public string description { get; set; }

        public override string ToString()
        {
            return "code:" + code.ToString() + "\t"
                   + "message:" + message + "\t"
                   + (string.IsNullOrEmpty(description) ? string.Empty : "description" + description);
        }

    }
}
