﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 360登陆身份认证信息
    /// </summary>
    [Serializable]
    public class LoginToken : ApiResult
    {
        /// <summary>
        /// 用户id
        /// </summary>
        public string uid { get; set; }
        /// <summary>
        ///访问token
        /// </summary>
        public string accessToken { get; set; }
        /// <summary>
        /// 用户标识  
        /// </summary>
        public string sessionToken { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string userName { get; set; }
    }
}
