﻿using System;
namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 账户的详细信息
    /// </summary>
     [Serializable]
    public class MAccountInfo : ApiResult
    {
        /// <summary>
        /// 账户的id 
        /// </summary>
        public long uid { get; set; }
        /// <summary>
        /// 账户名
        /// </summary>
        public string userName { get; set; }
        /// <summary>
        /// 余额
        /// </summary>
        public double balance { get; set; }
        /// <summary>
        /// 预算
        /// </summary>
        public double  budget { get; set; }
        /// <summary>
        /// 投放资源，当前只有一个值：“search”，代表当前账户可以进行搜索推广
        /// </summary>
        public string resources { get; set; }
        /// <summary>
        /// 允许推广的域名，多个域名之间半角逗号分隔
        /// </summary>
        public string allowDomain { get; set; }
    }
}
