﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pz.API.QH360.SDK.Model
{
    /// <summary>
    /// 关键词报表实体
    /// </summary>
    [Serializable]
    public class MReportKeyword
    {
        /*
         * <date>2013-01-01</date> 
         <keywordId>34563</keywordId> 
         <views>111</views> 
         <clicks>10</clicks> 
         <totalCost>0</totalCost> 
         * */

        /// <summary>
        /// 日期
        /// </summary>
        public DateTime date { get; set; }

        /// <summary>
        /// 关键词id
        /// </summary>
        public long keywordId { get; set; }

        /// <summary>
        /// 访问量
        /// </summary>
        public int views { get; set; }

        /// <summary>
        /// 点击量
        /// </summary>
        public int clicks { get; set; }

        /// <summary>
        /// 花费
        /// </summary>
        public double totalCost { get; set; }
    }
}
